package interfaces

import (
	"58team_blog/internal/application/commands"
	"58team_blog/internal/application/common"
	"58team_blog/internal/application/queries"
)

type ImagesService interface {
	Create(commands.CreateImageCommand) (*common.ImageResult, error)
	FindById(queries.ImageFindByIdQuery) (*queries.ImageFindByIdResult, error)
	Delete(commands.DeleteImageCommand) error
}
